%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-cinder
Version:        11.3.0
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Cinder
License:        ASL 2.0

URL:            https://launchpad.net/puppet-cinder

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=11.3.0
Patch0001: 0001-Update-Gemfile-to-pull-spec_helper-from-stable-pike.patch
Patch0002: 0002-Install-thin-provisioning-tools-for-Debian-based-sys.patch
Patch0003: 0003-add-parameter-to-overwrite-add-wsgi-process-options.patch
Patch0004: 0004-Fix-path-to-ScaleIO-backend-driver.patch
Patch0005: 0005-Install-ceph-common-when-RBD-backend-is-enabled.patch
Patch0006: 0006-Always-set-keymgr_api_class.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-rabbitmq
Requires:       puppet-oslo
Requires:       puppet-openstacklib
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Cinder

%prep
%setup -q -n openstack-cinder-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/cinder/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/cinder/



%files
%{_datadir}/openstack-puppet/modules/cinder/


%changelog
* Wed Nov 15 2017 Jon Schlueter <jschluet@redhat.com> 11.3.0-2
- Always set keymgr_api_class
- Install ceph-common when RBD backend is enabled
- Fix path to ScaleIO backend driver
- add parameter to overwrite/add wsgi process options
- Install thin-provisioning-tools for Debian based systems
- Update Gemfile to pull spec_helper from stable/pike

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 11.3.0-1
- Update to 11.3.0


